Subject: Bug#661808: lintian: non-obvious references to debconf specification

From: Russ Allbery <[email-masked]>
Date: Fri, 18 Jan 2013 11:28:26 -0800

Niels Thykier <[email-masked]> writes:
> On 2012-07-11 15:06, Niels Thykier wrote:
>> On 2012-03-01 14:06, Jakub Wilk wrote:

>>> $ lintian-info -t unknown-field-in-templates | grep -A 1 Refer
>>> N:   Refer to Configuration management (Templates) and the debconf-devel(7)
>>> N:   manual page for details.
>>>
>>> If there is no hyperlink, it's not immediately obvious that
>>> "Configuration management" is title of the document better known as the
>>> debconf specification.
>>>
>>> I noticed that because I wanted to add copyright-format to our list of
>>> manuals. It would share the same problem and the produced output would
>>> be even less helpful:
>>>
>>> N:   Refer to Machine-readable debian/copyright file for details.
>>>
>>> Is this something we should fix or lintian (by adding some extra code to
>>> private/refresh-manual-refs)? Or should it be fixed on the debian-policy
>>> side?

>> Russ, do you have a preference here?

> I don't think we have heard from you on this matter, so I have taken the
> liberty of CC'ing directly.

Ack, sorry, I missed that.

> Do you think the titles should be changed in debian-policy or should we
> have refresh-manual-refs ammend the names in these cases?

We can change the titles; that's fairly easy to do.  What do you have in
mind?  Something like Configuration Management Specification instead?  I'm
not sure what would be clearest.

-- 
Russ Allbery ([email-masked])               <http://www.eyrie.org/~eagle/>